/**
 * Created by jmoutard on 17/05/16.
 */

'use strict';

angular.module('adf.electre')
    .config([
        "dashboardProvider", "$stateProvider", "$urlRouterProvider",
        function (dashboardProvider, $stateProvider, $urlRouterProvider) {
            /* NAVBAR CONFIG */
            $urlRouterProvider.otherwise('/home');
            $stateProvider
                .state('home', {
                    url: "/home",
                    /*templateUrl : "/resource/html/app/default.html"*/
                    templateUrl : "/resource/dashboard/html/app/home.html"
                }).state('board', {
                url: "/board",
                abstract: true,
                template: "<ui-view />"
            }).state('board.local', {
                url: "/local/:id",
                templateUrl: '/resource/dashboard/html/app/dashboard.html',
                controller: 'dashboardCtrl',
                controllerAs: 'dashboard',
                resolve: {
                    data: [
                        "$stateParams", "storeService",
                        function ($stateParams, storeService) {
                            return storeService.get($stateParams.id, false);
                        }
                    ]
                }
            }).state('board.remote', {
                url: "/remote/:id",
                templateUrl: '/resource/dashboard/html/app/dashboard.html',
                controller: 'dashboardCtrl',
                controllerAs: 'dashboard',
                resolve: {
                    data: [
                        "$stateParams", "storeService",
                        function ($stateParams, storeService) {
                            return storeService.get($stateParams.id, true);
                        }
                    ]
                }
            }).state('board.remove', {
                url: "/remove/:id",
                templateUrl: '/resource/dashboard/html/app/remove.html',
                controller: 'dashboardCtrl',
                controllerAs: 'dashboard',
                resolve : { data: [ function () { return "remove"; } ] }
            }).state('board.create', {
                url: "/create/:id",
                templateUrl: '/resource/dashboard/html/app/create.html',
                controller: 'dashboardCtrl',
                controllerAs: 'dashboard',
                resolve : { data: [ function () { return "create"; } ] }
            }).state('board.import', {
                url: "/import/:dashboard",
                templateUrl: '/resource/dashboard/html/app/import.html',
                controller: 'dashboardCtrl',
                controllerAs: 'dashboard',
                resolve : { data: [ function () { return "import"; } ] }
            }).state('board.duplicate', {
                url: "/duplicate/:dashboard",
                templateUrl: '/resource/dashboard/html/app/duplicate.html',
                controller: 'dashboardCtrl',
                controllerAs: 'dashboard',
                resolve : { data: [ function () { return "duplicate"; } ] }
            }).state('help', {
                url: "/help",
                templateUrl: 'partials/getStarted.html'
            });

            /* ADF CONFIG */
            dashboardProvider.widgetsPath("\\resource\\dashboard\\html\\widgets");
        }
    ]);